;; $Id: ascii.lisp,v 1.9 2005/12/07 11:41:45 jimka Exp $

#|

 This software is Copyright (c) 2005 Jim Newton <jimka@rdrop.com>

 Jim Newton grants you the rights to distribute
 and use this software as governed by the terms
 of the Lisp Lesser GNU Public License
 (http://opensource.franz.com/preamble.html),
 known as the LLGPL.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
|#

(defpackage "HEUTE-ASCII-UI"
  (:use "HEUTE"
	"COMMON-LISP"))

(in-package heute-ascii-ui)

(defclass heute-ascii-ui nil nil)

(defmethod internal-fail-if :after (( test-case heute-ascii-ui) value-closure
			     &key tag &allow-other-keys)
  (format t "             ~A  ~A~%"
	  tag (status (current-result test-case)))
  (finish-output))
	  
(defmethod run-test :before (( test-case heute-ascii-ui) test-fun)
  (format t "   (~A~%" test-fun))

(defmethod run-test :after  (( test-case heute-ascii-ui) test-fun)
  (format t "   )~%" )
  (finish-output))

(defmethod run-suite :before (( test-case heute-ascii-ui))
  (format t "(suite \"~A\"~%" (test-name test-case)))

(defmethod run-suite :after (( test-case heute-ascii-ui))
  (format t "~A )~%" (status test-case) )
  (finish-output))

(defmethod internal-fail-if :after (( testcase heute-ascii-ui)
				    expression
				    &key tag &allow-other-keys)

  (format t "               ~A ~A ~A"
	  (get-current-test-fun)
	  tag
	  (status (current-result testcase)))
  (when (text (current-result testcase))
    (format " ~A" (text (current-result testcase))))
  (format t "~%")
  (finish-output))

(register-gui heute-ascii-ui)

